Bug 1399207 - vm.create_snapshot fails for rhev vm with undefined method `create_snapshot'
Summary: vm.create_snapshot fails for rhev vm with undefined method `create_snapshot'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.1
Assignee: Lucy Fu
QA Contact: Ilanit Stein
URL:
Whiteboard: automate:snapshot:rhev
Depends On: 1395175
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-28 14:50 UTC by Satoe Imaishi
Modified: 2017-02-27 19:24 UTC (History)
8 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1395175
Environment:
Last Closed: 2017-02-27 19:24:57 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 17:20:51 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4547649a00d3b6d2e49cb31aac957548c01def32

commit 4547649a00d3b6d2e49cb31aac957548c01def32
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Nov 21 12:17:23 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 12:17:11 2017 -0500

    Merge pull request #12726 from lfu/ae_snapshot_1395175
    
    Move snapshot code to Vm in service model.
    (cherry picked from commit eef649356ad7bf8742b3494ea69f71fba5d82a73)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1399207

 ...e_manageiq-providers-vmware-infra_manager-vm.rb | 21 --------------
 .../service_models/miq_ae_service_vm.rb            | 24 ++++++++++++++++
 ...ageiq-providers-vmware-infra_manager-vm_spec.rb | 26 ++----------------
 .../service_methods/miq_ae_service_vm_spec.rb      | 32 ++++++++++++++++++++++
 4 files changed, 58 insertions(+), 45 deletions(-)

Comment 3 Ilanit Stein 2017-02-23 13:25:01 UTC
Verified on CFME-5.7.1.2.

automate Snapshot creation work. Snapshot is indeed created,
However the created snapshot's name is not OK:

For VM with name "test_1", create a snapshot in Automate, with name "snp1",
Creates actually snapshot with name "Snapshot:<snp1> for test_1",
though it should be called "snp1".
filed this bug 1426227 for this issue.

Comment 5 errata-xmlrpc 2017-02-27 19:24:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.